Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.admin.security
Interface JUser

All Superinterfaces:
  java.security.Principal

    public interface JUser

extends java.security.Principal

Method Summary
`java.util.Date` | `getCreateTime()` Get the user's create time
`java.lang.String` | `getDescription()` Get the user's description
`java.lang.String` | `getEmail()` Get the user's email address
`int` | `getExpireTime()` Get the user's expire time (The expire time's unit is day)
`java.lang.String` | `getFullName()` Get the user's full name
`java.lang.String[]` | `getGroupNames()` Get the user's parent group's name list
`java.util.Date` | `getLastModifyTime()` Get the user's last modify time
`int` | `getMinPSLength()` Get the user's min.
`java.lang.String[]` | `getRoleNames()` Get the user's parent role's name list
`int` | `getType()` Get the group's type.
`boolean` | `isAccessEventFail()` Whether trace the access failed event in the log file.
`boolean` | `isAccessEventSuc()` Whether trace the access successful event in the log file.
`boolean` | `isAccountDisable()` Whether the user account was disabled or not.
`boolean` | `isBuildin()` Whether the user created by system or not
`boolean` | `isEnableNullPS()` Whether the user can use the null password or not
`boolean` | `isManagementEventFail()` Whether trace the management failed event in the log file.
`boolean` | `isManagementEventSuc()` Whether trace the management successful event in the log file.
`boolean` | `isNeverExpire()` Whether the user nerver expire or not
`boolean` | `isNoAudit()` Whether audit this user's information in the log file

Methods inherited from interface java.security.Principal
`equals, getName, hashCode, toString`

Method Detail

### getType

    int getType()

  Get the group's type. This type is used for checking whether this user is created in local or imported from LDAP server. If this type is 0, it is created in local. If the type is 1, it is imported from LDAP server.

  Returns:
    the user's type

### getEmail

    java.lang.String getEmail()

  Get the user's email address

  Returns:
    the user's email address

### getCreateTime

    java.util.Date getCreateTime()

  Get the user's create time

  Returns:
    the user's create time

### getDescription

    java.lang.String getDescription()

  Get the user's description

  Returns:
    the user's description

### isBuildin

    boolean isBuildin()

  Whether the user created by system or not

  Returns:
    if this user is created by system return true, otherwise return false

### isEnableNullPS

    boolean isEnableNullPS()

  Whether the user can use the null password or not

  Returns:
    if the user can use the null password return true, otherwise return false

### getFullName

    java.lang.String getFullName()

  Get the user's full name

  Returns:
    the user's full name

### getMinPSLength

    int getMinPSLength()

  Get the user's min. password length

  Returns:
    the user's min. password

### getExpireTime

    int getExpireTime()

  Get the user's expire time (The expire time's unit is day)

  Returns:
    the user's expire time

### getLastModifyTime

    java.util.Date getLastModifyTime()

  Get the user's last modify time

  Returns:
    the user's last modify time

### isNeverExpire

    boolean isNeverExpire()

  Whether the user nerver expire or not

  Returns:
    if the user nerver expire return true, otherwise return false

### isAccountDisable

    boolean isAccountDisable()

  Whether the user account was disabled or not.

  Returns:
    if the user account is disabled return ture, otherwise return false

### isAccessEventFail

    boolean isAccessEventFail()

  Whether trace the access failed event in the log file.

  Returns:
    if trace return true, otherwise return false.

### isAccessEventSuc

    boolean isAccessEventSuc()

  Whether trace the access successful event in the log file.

  Returns:
    if trace return true, otherwise return false.

### isManagementEventFail

    boolean isManagementEventFail()

  Whether trace the management failed event in the log file.

  Returns:
    if trace return true, otherwise return false.

### isManagementEventSuc

    boolean isManagementEventSuc()

  Whether trace the management successful event in the log file.

  Returns:
    if trace return true, otherwise return false.

### isNoAudit

    boolean isNoAudit()

  Whether audit this user's information in the log file

  Returns:
    if audit return true, otherwise return false.

### getRoleNames

    java.lang.String[] getRoleNames()

  Get the user's parent role's name list

  Returns:
    the user 's parent role's name list

### getGroupNames

    java.lang.String[] getGroupNames()

  Get the user's parent group's name list

  Returns:
    the user 's parent group's name list

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD